# trading-data

Trading data repository layer for the high-frequency trading system.

## Key Types

- `PostgresOrderRepository` — PostgreSQL-backed order storage
- `OrderRepository` trait — order CRUD operations
- Position and execution tracking

## Usage

```rust
use trading_data::PostgresOrderRepository;
let repo = PostgresOrderRepository::new(pool).await?;
```
